<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>top.continew</groupId>
    <artifactId>continew-starter</artifactId>
    <version>2.12.0</version>
  </parent>
  <groupId>com.pavis</groupId>
  <artifactId>pavis-admin</artifactId>
  <version>3.7.0</version>
  <packaging>pom</packaging>
  <description>持续迭代优化的前后端分离中后台管理系统框架，开箱即用，持续提供舒适的开发体验。</description>
  <licenses>
    <license>
      <name>GNU LESSER GENERAL PUBLIC LICENSE</name>
      <url>http://www.gnu.org/licenses/lgpl.html</url>
    </license>
  </licenses>
  <modules>
    <module>pavis-webapi</module>
    <module>pavis-module-system</module>
    <module>pavis-plugin</module>
    <module>pavis-common</module>
    <module>pavis-extension</module>
    <module>pavis-module-aigc</module>
  </modules>
  <properties>
    <revision>3.7.0</revision>
  </properties>
  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>com.pavis</groupId>
        <artifactId>pavis-webapi</artifactId>
        <version>3.7.0</version>
      </dependency>
      <dependency>
        <groupId>com.pavis</groupId>
        <artifactId>pavis-module-system</artifactId>
        <version>3.7.0</version>
      </dependency>
      <dependency>
        <groupId>com.pavis</groupId>
        <artifactId>pavis-module-aigc</artifactId>
        <version>3.7.0</version>
      </dependency>
      <dependency>
        <groupId>com.pavis</groupId>
        <artifactId>pavis-common</artifactId>
        <version>3.7.0</version>
      </dependency>
      <dependency>
        <groupId>com.pavis</groupId>
        <artifactId>pavis-plugin-schedule</artifactId>
        <version>3.7.0</version>
      </dependency>
      <dependency>
        <groupId>com.pavis</groupId>
        <artifactId>pavis-plugin-open</artifactId>
        <version>3.7.0</version>
      </dependency>
      <dependency>
        <groupId>com.pavis</groupId>
        <artifactId>pavis-plugin-generator</artifactId>
        <version>3.7.0</version>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <dependencies>
    <dependency>
      <groupId>cn.hutool</groupId>
      <artifactId>hutool-all</artifactId>
    </dependency>
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
      <optional>true</optional>
    </dependency>
  </dependencies>
  <repositories>
    <repository>
      <id>huawei-mirror</id>
      <name>HuaweiCloud Mirror</name>
      <url>https://mirrors.huaweicloud.com/repository/maven/</url>
    </repository>
    <repository>
      <id>ali-mirror</id>
      <name>AliYun Mirror</name>
      <url>https://maven.aliyun.com/repository/public/</url>
    </repository>
  </repositories>
  <pluginRepositories>
    <pluginRepository>
      <id>huawei-mirror</id>
      <name>HuaweiCloud Mirror</name>
      <url>https://mirrors.huaweicloud.com/repository/maven/</url>
    </pluginRepository>
    <pluginRepository>
      <id>ali-mirror</id>
      <name>AliYun Mirror</name>
      <url>https://maven.aliyun.com/repository/public/</url>
    </pluginRepository>
  </pluginRepositories>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <compilerArgument>-parameters</compilerArgument>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-surefire-plugin</artifactId>
        <configuration>
          <skip>true</skip>
        </configuration>
      </plugin>
      <plugin>
        <groupId>com.diffplug.spotless</groupId>
        <artifactId>spotless-maven-plugin</artifactId>
        <executions>
          <execution>
            <phase>compile</phase>
            <goals>
              <goal>apply</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <java>
            <removeUnusedImports />
            <eclipse>
              <file>.style/p3c-codestyle.xml</file>
            </eclipse>
          </java>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>flatten-maven-plugin</artifactId>
        <executions>
          <execution>
            <id>flatten</id>
            <phase>process-resources</phase>
            <goals>
              <goal>flatten</goal>
            </goals>
          </execution>
          <execution>
            <id>flatten-clean</id>
            <phase>clean</phase>
            <goals>
              <goal>clean</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <updatePomFile>true</updatePomFile>
          <flattenMode>resolveCiFriendliesOnly</flattenMode>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
